# Interface BytecodeDecoding

This type represents a decoding of the return data as bytecode for a known class returned from a constructor.

NOTE: In the future, this type will also contain information about any linked libraries the contract being constructed uses. However, this is not implemented at present.

#### Category

Output

#### Hierarchy

- BytecodeDecoding

- Defined in codec/lib/types.ts:560

#####
Index

### Properties

address?
bytecode
class
decodingMode
immutables?
interpretations
kind
status

## Properties

### `Optional` address

address?: string

If the contract created was a library, and was compiled with Solidity 0.4.20 or later, this field will be included, which gives the address of the created contract (checksummed). This field will not be included otherwise!

- Defined in codec/lib/types.ts:593

### bytecode

bytecode: string

The bytecode of the contract that was created.

- Defined in codec/lib/types.ts:586

### class

class: ContractType

The class of contract being constructed, as a Format.Types.ContractType.

- Defined in codec/lib/types.ts:577

### decodingMode

decodingMode: DecodingMode

The decoding mode that was used; see the README for more on these.

- Defined in codec/lib/types.ts:573

### `Optional` immutables

immutables?: StateVariable[]

Decodings for any immutable state variables the created contract contains. Omitted in ABI mode.

- Defined in codec/lib/types.ts:582

### interpretations

interpretations: {}

Further information about how the decoding may be interpreted. Note that interpretations may be added by things that use @truffle/codec, such as @truffle/decoder, rather than by @truffle/codec itself. See individual interpretations for details. (Currently there are none for this type.)

#### Type declaration

- Defined in codec/lib/types.ts:600

### kind

kind: "bytecode"

The kind of decoding; indicates that this is a BytecodeDecoding.

- Defined in codec/lib/types.ts:564

### status

status: true

Indicates that this kind of decoding indicates a successful return.

- Defined in codec/lib/types.ts:568

Generated using TypeDoc